#ifndef SBCLIB_RND_istouchscreen
#ifndef __linux__
#include <windows.h>
#include <rnd/windows_touchscreen.c>
// See https://msdn.microsoft.com/en-us/library/windows/desktop/dd371581(v=vs.85).aspx
#define SM_DIGITIZER 94 // New feature not in old Windows headers
#define NID_MULTI_INPUT 0x00000040 // Multi-touch flag
#define NID_READY 0x00000080 // Ready for input (installed etc.) flag
#endif

int istouchscreen(void)
{
	#ifdef __linux__
	return 0;
	#else // Windows
	int t=GetSystemMetrics(SM_DIGITIZER);
	if (t&NID_READY)
	{
		if (t&NID_MULTI_INPUT) return 2;
			// You get WM_GESTURE until you call RegisterTouchWindow(winhandle,0);
			// ...then you get WM_TOUCH (I think)
		else return 1; // You get WM_GESTURE only I think
	}
	else return 0;
	#endif
}

#define SBCLIB_RND_istouchscreen
#endif
